Open Infrastructure - Task #7083

Survey Django App Installation and Test
08/26/2019 08:04 AM - Ahmed Bilal

Status: Closed Start date: 08/26/2019
Priority: Normal Due date: 09/18/2019
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour

Target version:
PM Check date:

Description
Distro: Debian or Devuan

Tests

* Find out whether we can connect it easily to our Idap

o answer is "probably yes" - ping Mondi about it
e Find out how to manage the following flow:

o A person without an account on LDAP wants to participate - what to do?
¢ Resemble last time's Hack4Glarus form

o ping Sanghee for it

Should be released by 18th of September

History

#1 - 08/26/2019 08:12 AM - Ahmed Bilal
Setup https://djangopackages.org/packages/p/django-survey-and-report/ as follows:

e Create a new ipv6 only VM
e Configure it using cdist (ping @Jin-Guk Kwon and @IInu if you need help)
¢ Configure our IPv6-IPv4 proxy to proxy IPv4 requests to it

#2 - 08/26/2019 08:39 AM - Nico Schottelius

- Project changed from hack4glarus-2019-winter to Open Infrastructure

Corrected the project -> use Open Infrastructure whenever we don't have internal details that cannot be publicly shared

#3 - 08/26/2019 12:27 PM - Ahmed Bilal

- Project changed from Open Infrastructure to hack4glarus-2019-winter

Nico Schottelius wrote:

Corrected the project -> use Open Infrastructure whenever we don't have internal details that cannot be publicly shared

We have or we don't have?

OK.

#4 - 08/26/2019 01:32 PM - Ahmed Bilal

- Project changed from hack4glarus-2019-winter to Open Infrastructure

#5 - 09/02/2019 09:40 AM - Ahmed Bilal

It can be found at http://survey.hack4glarus.ungleich.cloud/

#6 - 09/10/2019 05:41 PM - Nico Schottelius
- Subject changed from Survey Django App Installation v1 to Survey Django App Installation and Test
https://djangopackages.org/packages/p/django-survey-and-report/
http://localhost:3000/users/103
http://survey.hack4glarus.ungleich.cloud/

- Description updated
- Due date set to 09/18/2019

#7 - 09/10/2019 05:42 PM - Nico Schottelius
... not to mention: for production:

e setup with cdist

¢ |etsencrypt

® backup
("the usual stuff")

#8 - 09/11/2019 09:42 AM - Ahmed Bilal
What do you mean by backup?

#9 - 09/11/2019 06:52 PM - Nico Schottelius

backup -> backing up essential data to our backup VM

redmine@ungleich.ch writes:

#10 - 09/17/2019 09:18 PM - Ahmed Bilal

Can't backup to place5 as it is full.

#11 - 09/19/2019 08:12 AM - Nico Schottelius

You can put the ticket to waiting OR assign it to linu with status
"Feedback" that you need feedback when backup is usuable again

redmine@ungleich.ch writes:

#12 - 09/19/2019 08:43 AM - Ahmed Bilal

- Assignee changed from Ahmed Bilal to Il nu

Please ping me when backup5 is usable again. Thanks

#13 - 09/28/2019 07:23 PM - Ahmed Bilal
- Assignee changed from Il nu to Nico Schottelius

- % Done changed from 70 to 0

backup5 is still not resized. But, | created a cron job to do local backup every hour + there would be remote backup @server6 (Don't sure about the
frequency, | think it is once a day at 03:00) as server5 is full. LDAP is not connected as we agreed to ask user for his/her email and | think it is a good
trade off because for non-ungleich people it may be little offsetting to create an account to fill a survey. The survey application is deployed at
survey.hack4glarus.ungleich.ch.

#14 - 09/28/2019 07:24 PM - Ahmed Bilal

- Status changed from In Progress to Feedback

#15 - 10/14/2019 02:20 PM - Ahmed Bilal
- Status changed from Feedback to Closed
- Assignee deleted (Nico Schottelius)

Backup to place6.
